Description

Associated revisions

Revision 658 - 06/09/2020 06:20 AM - luke.murphey

Making values in the process of editing persist

Reference #2777

History

#1 - 06/08/2020 10:58 PM - Luke Murphey

Obs:

Final row is blank

I'm struggling to repro for this

Workaround: click a cell before press save

Enter does some weird things. IT

I see jexcel.keyDownControls  *

Qs:

What is the repro?

Determined, see below

Is there a way to force jexcel to exit editing mode?

Repro:

1. Add a new row after the last row

2. Enter a new value into a cell (but do not click out of the cell)

3. Click save; note that new row didn't get added

Solns:

Force the editor to exit edit mode before saving

chr: 13

keypress

Tried firing on document

resetSelection()

Doesn't work

setValue()

$("td.editor > input").val()

https://bossanova.uk/jexcel/v4/examples/dropdown-and-autocomplete

Force close editor

closeEditor(): https://github.com/paulhodel/jexcel/blob/master/src/js/jexcel.core.js

Manually running jexcel.keyDownControls

This doesn't exist in this.jexcel; this.jexcel.keyDownControls({ which: 13, altKey: false });

This works in the browser buyt jexcel.current is null when run in the function:

jexcelGlobal.current.closeEditor(jexcelGlobal.current.edition[0], true);
#2 - 06/09/2020 05:39 AM - Luke Murphey

- % Done changed from 100 to 0

#3 - 06/09/2020 06:21 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
